
_MPU6050_Write:

;mpu6050.c,120 :: 		void MPU6050_Write(unsigned short address, unsigned short value){
;mpu6050.c,121 :: 		I2C1_Start();                   // Start I2C Communication
	CALL        _I2C1_Start+0, 0
;mpu6050.c,122 :: 		I2C1_Wr(MPU6050_ADDRESS);       // Send Device Address
	MOVF        _MPU6050_ADDRESS+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mpu6050.c,123 :: 		I2C1_Wr(address);               // Select Register Addres
	MOVF        FARG_MPU6050_Write_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mpu6050.c,124 :: 		I2C1_Wr(value);                 // Write Register Value
	MOVF        FARG_MPU6050_Write_value+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mpu6050.c,125 :: 		I2C1_Stop();                    // Stop I2C Communication
	CALL        _I2C1_Stop+0, 0
;mpu6050.c,126 :: 		}
L_end_MPU6050_Write:
	RETURN      0
; end of _MPU6050_Write

_MPU6050_Init:

;mpu6050.c,129 :: 		void MPU6050_Init(){
;mpu6050.c,131 :: 		delay_ms(100);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_MPU6050_Init0:
	DECFSZ      R13, 1, 1
	BRA         L_MPU6050_Init0
	DECFSZ      R12, 1, 1
	BRA         L_MPU6050_Init0
	DECFSZ      R11, 1, 1
	BRA         L_MPU6050_Init0
	NOP
;mpu6050.c,134 :: 		MPU6050_Write(PWR_MGMT_1, 0x00);        // Internal 8MHz
	MOVLW       107
	MOVWF       FARG_MPU6050_Write_address+0 
	CLRF        FARG_MPU6050_Write_value+0 
	CALL        _MPU6050_Write+0, 0
;mpu6050.c,137 :: 		MPU6050_Write(CONFIG, 0x06);            // Accelerometer and Gyroscope Bandwidth
	MOVLW       26
	MOVWF       FARG_MPU6050_Write_address+0 
	MOVLW       6
	MOVWF       FARG_MPU6050_Write_value+0 
	CALL        _MPU6050_Write+0, 0
;mpu6050.c,140 :: 		MPU6050_Write(GYRO_CONFIG, 0x18);       // FS_SEL=2000/s
	MOVLW       27
	MOVWF       FARG_MPU6050_Write_address+0 
	MOVLW       24
	MOVWF       FARG_MPU6050_Write_value+0 
	CALL        _MPU6050_Write+0, 0
;mpu6050.c,143 :: 		MPU6050_Write(ACCEL_CONFIG, 0x18);      // AFS_SEL=2g
	MOVLW       28
	MOVWF       FARG_MPU6050_Write_address+0 
	MOVLW       24
	MOVWF       FARG_MPU6050_Write_value+0 
	CALL        _MPU6050_Write+0, 0
;mpu6050.c,144 :: 		}
L_end_MPU6050_Init:
	RETURN      0
; end of _MPU6050_Init

_MPU6050_SetOffset:

;mpu6050.c,147 :: 		void MPU6050_SetOffset(int accelX, int accelY, int accelZ, int gyroX, int gyroY, int gyroZ){
;mpu6050.c,148 :: 		accelX_Offset=accelX;
	MOVF        FARG_MPU6050_SetOffset_accelX+0, 0 
	MOVWF       _accelX_Offset+0 
	MOVF        FARG_MPU6050_SetOffset_accelX+1, 0 
	MOVWF       _accelX_Offset+1 
;mpu6050.c,149 :: 		accelY_Offset=accelY;
	MOVF        FARG_MPU6050_SetOffset_accelY+0, 0 
	MOVWF       _accelY_Offset+0 
	MOVF        FARG_MPU6050_SetOffset_accelY+1, 0 
	MOVWF       _accelY_Offset+1 
;mpu6050.c,150 :: 		accelZ_Offset=accelZ;
	MOVF        FARG_MPU6050_SetOffset_accelZ+0, 0 
	MOVWF       _accelZ_Offset+0 
	MOVF        FARG_MPU6050_SetOffset_accelZ+1, 0 
	MOVWF       _accelZ_Offset+1 
;mpu6050.c,151 :: 		gyroX_Offset=gyroX;
	MOVF        FARG_MPU6050_SetOffset_gyroX+0, 0 
	MOVWF       _gyroX_Offset+0 
	MOVF        FARG_MPU6050_SetOffset_gyroX+1, 0 
	MOVWF       _gyroX_Offset+1 
;mpu6050.c,152 :: 		gyroY_Offset=gyroY;
	MOVF        FARG_MPU6050_SetOffset_gyroY+0, 0 
	MOVWF       _gyroY_Offset+0 
	MOVF        FARG_MPU6050_SetOffset_gyroY+1, 0 
	MOVWF       _gyroY_Offset+1 
;mpu6050.c,153 :: 		gyroZ_Offset=gyroZ;
	MOVF        FARG_MPU6050_SetOffset_gyroZ+0, 0 
	MOVWF       _gyroZ_Offset+0 
	MOVF        FARG_MPU6050_SetOffset_gyroZ+1, 0 
	MOVWF       _gyroZ_Offset+1 
;mpu6050.c,154 :: 		}
L_end_MPU6050_SetOffset:
	RETURN      0
; end of _MPU6050_SetOffset

_MPU6050_Read:

;mpu6050.c,157 :: 		void MPU6050_Read(int *accelX, int *accelY, int *accelZ, int *temp, int *gyroX, int *gyroY, int *gyroZ){
;mpu6050.c,159 :: 		I2C1_Start();                   // Start I2C Communication
	CALL        _I2C1_Start+0, 0
;mpu6050.c,160 :: 		I2C1_Wr(MPU6050_ADDRESS);       // Send Device Address
	MOVF        _MPU6050_ADDRESS+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mpu6050.c,161 :: 		I2C1_Wr(ACCEL_XOUT_H);          // Select ACCEL_XOUT_H Register Addres
	MOVLW       59
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mpu6050.c,162 :: 		I2C1_Stop();                    // Stop I2C Communication
	CALL        _I2C1_Stop+0, 0
;mpu6050.c,163 :: 		I2C1_Start();                   // Start I2C Communication
	CALL        _I2C1_Start+0, 0
;mpu6050.c,164 :: 		I2C1_Wr(MPU6050_ADDRESS+1);     // Ready to Read
	MOVF        _MPU6050_ADDRESS+0, 0 
	ADDLW       1
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mpu6050.c,166 :: 		*accelX = (I2C1_Rd(1)<<8) | I2C1_Rd(1);   // Read accelX Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_accelX+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_accelX+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,167 :: 		*accelY = (I2C1_Rd(1)<<8) | I2C1_Rd(1);   // Read accelY Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_accelY+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_accelY+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,168 :: 		*accelZ = (I2C1_Rd(1)<<8) | I2C1_Rd(1);   // Read accelZ Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_accelZ+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_accelZ+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,169 :: 		*temp   = (I2C1_Rd(1)<<8) | I2C1_Rd(1);   // Read temp Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_temp+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_temp+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,170 :: 		*gyroX  = (I2C1_Rd(1)<<8) | I2C1_Rd(1);   // Read gyroX Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_gyroX+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_gyroX+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,171 :: 		*gyroY  = (I2C1_Rd(1)<<8) | I2C1_Rd(1);   // Read gyroY Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_gyroY+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_gyroY+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,172 :: 		*gyroZ  = (I2C1_Rd(1)<<8) | I2C1_Rd(0);   // Read gyroZ Data
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__MPU6050_Read+1 
	CLRF        FLOC__MPU6050_Read+0 
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVLW       0
	MOVWF       R1 
	MOVF        FLOC__MPU6050_Read+0, 0 
	IORWF       R0, 1 
	MOVF        FLOC__MPU6050_Read+1, 0 
	IORWF       R1, 1 
	MOVFF       FARG_MPU6050_Read_gyroZ+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_gyroZ+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,174 :: 		I2C1_Stop();                              // Stop I2C Communication
	CALL        _I2C1_Stop+0, 0
;mpu6050.c,175 :: 		*accelX-=accelX_Offset;                   // Decrease accelX_Offset
	MOVFF       FARG_MPU6050_Read_accelX+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_accelX+1, FSR0H+0
	MOVFF       FARG_MPU6050_Read_accelX+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_accelX+1, FSR1H+0
	MOVF        _accelX_Offset+0, 0 
	SUBWF       POSTINC1+0, 1 
	MOVF        _accelX_Offset+1, 0 
	SUBWFB      POSTINC1+0, 1 
;mpu6050.c,176 :: 		*accelY-=accelY_Offset;                   // Decrease accelY_Offset
	MOVFF       FARG_MPU6050_Read_accelY+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_accelY+1, FSR0H+0
	MOVFF       FARG_MPU6050_Read_accelY+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_accelY+1, FSR1H+0
	MOVF        _accelY_Offset+0, 0 
	SUBWF       POSTINC1+0, 1 
	MOVF        _accelY_Offset+1, 0 
	SUBWFB      POSTINC1+0, 1 
;mpu6050.c,177 :: 		*accelZ-=accelZ_Offset;                   // Decrease accelZ_Offset
	MOVFF       FARG_MPU6050_Read_accelZ+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_accelZ+1, FSR0H+0
	MOVFF       FARG_MPU6050_Read_accelZ+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_accelZ+1, FSR1H+0
	MOVF        _accelZ_Offset+0, 0 
	SUBWF       POSTINC1+0, 1 
	MOVF        _accelZ_Offset+1, 0 
	SUBWFB      POSTINC1+0, 1 
;mpu6050.c,178 :: 		*temp = (*temp/340)+36;                   // Convert Temperature C
	MOVFF       FARG_MPU6050_Read_temp+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_temp+1, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       84
	MOVWF       R4 
	MOVLW       1
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVLW       36
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVFF       FARG_MPU6050_Read_temp+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_temp+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;mpu6050.c,179 :: 		*gyroX-=gyroX_Offset;                     // Decrease gyroX_Offset
	MOVFF       FARG_MPU6050_Read_gyroX+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_gyroX+1, FSR0H+0
	MOVFF       FARG_MPU6050_Read_gyroX+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_gyroX+1, FSR1H+0
	MOVF        _gyroX_Offset+0, 0 
	SUBWF       POSTINC1+0, 1 
	MOVF        _gyroX_Offset+1, 0 
	SUBWFB      POSTINC1+0, 1 
;mpu6050.c,180 :: 		*gyroY-=gyroY_Offset;                     // Decrease gyroY_Offset
	MOVFF       FARG_MPU6050_Read_gyroY+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_gyroY+1, FSR0H+0
	MOVFF       FARG_MPU6050_Read_gyroY+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_gyroY+1, FSR1H+0
	MOVF        _gyroY_Offset+0, 0 
	SUBWF       POSTINC1+0, 1 
	MOVF        _gyroY_Offset+1, 0 
	SUBWFB      POSTINC1+0, 1 
;mpu6050.c,181 :: 		*gyroZ-=gyroZ_Offset;                     // Decrease gyroZ_Offset
	MOVFF       FARG_MPU6050_Read_gyroZ+0, FSR0L+0
	MOVFF       FARG_MPU6050_Read_gyroZ+1, FSR0H+0
	MOVFF       FARG_MPU6050_Read_gyroZ+0, FSR1L+0
	MOVFF       FARG_MPU6050_Read_gyroZ+1, FSR1H+0
	MOVF        _gyroZ_Offset+0, 0 
	SUBWF       POSTINC1+0, 1 
	MOVF        _gyroZ_Offset+1, 0 
	SUBWFB      POSTINC1+0, 1 
;mpu6050.c,182 :: 		}
L_end_MPU6050_Read:
	RETURN      0
; end of _MPU6050_Read

_SendHC06:

;main.c,10 :: 		void SendHC06(int value){
;main.c,12 :: 		IntToStr(value,txt);      // value degerini stringe cevir ve txt dizisine yaz
	MOVF        FARG_SendHC06_value+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        FARG_SendHC06_value+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       SendHC06_txt_L0+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(SendHC06_txt_L0+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;main.c,13 :: 		UART_Write_Text(txt);     // txt dizisini uart zerinden gnder
	MOVLW       SendHC06_txt_L0+0
	MOVWF       FARG_UART_Write_Text_uart_text+0 
	MOVLW       hi_addr(SendHC06_txt_L0+0)
	MOVWF       FARG_UART_Write_Text_uart_text+1 
	CALL        _UART_Write_Text+0, 0
;main.c,14 :: 		UART_Write_Text(" ");     // Bosluk karakteri gnder
	MOVLW       ?lstr1_main+0
	MOVWF       FARG_UART_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_main+0)
	MOVWF       FARG_UART_Write_Text_uart_text+1 
	CALL        _UART_Write_Text+0, 0
;main.c,15 :: 		}
L_end_SendHC06:
	RETURN      0
; end of _SendHC06

_main:

;main.c,17 :: 		void main() {
;main.c,19 :: 		TRISA=0b00000000; // [][][][LED][][][][]
	CLRF        TRISA+0 
;main.c,20 :: 		TRISB=0b00000000; // [][][][][][][SCK][SDA]
	CLRF        TRISB+0 
;main.c,21 :: 		TRISC=0b10000000; // [RX][TX][][][][][][]
	MOVLW       128
	MOVWF       TRISC+0 
;main.c,22 :: 		TRISD=0b00000000; // [][][][][][][][]
	CLRF        TRISD+0 
;main.c,23 :: 		TRISE=0b00000000; // [][][][][][][][]
	CLRF        TRISE+0 
;main.c,26 :: 		ANSELA=0b00000000; // [][][][][][][][]
	CLRF        ANSELA+0 
;main.c,27 :: 		ANSELB=0b00000000; // [][][][][][][][]
	CLRF        ANSELB+0 
;main.c,28 :: 		ANSELC=0b00000000; // [][][][][][][][]
	CLRF        ANSELC+0 
;main.c,29 :: 		ANSELD=0b00000000; // [][][][][][][][]
	CLRF        ANSELD+0 
;main.c,30 :: 		ANSELE=0b00000000; // [][][][][][][][]
	CLRF        ANSELE+0 
;main.c,33 :: 		LATA=0x00;
	CLRF        LATA+0 
;main.c,34 :: 		LATB=0x00;
	CLRF        LATB+0 
;main.c,35 :: 		LATC=0x00;
	CLRF        LATC+0 
;main.c,36 :: 		LATD=0x00;
	CLRF        LATD+0 
;main.c,37 :: 		LATE=0x00;
	CLRF        LATE+0 
;main.c,39 :: 		UART1_Init(9600);
	BSF         BAUDCON+0, 3, 0
	MOVLW       4
	MOVWF       SPBRGH+0 
	MOVLW       225
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;main.c,42 :: 		I2C1_Init(400000); // MPU6050 ktphanesi dahili I2C donanimi ile alismaktadir.
	MOVLW       30
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;main.c,43 :: 		MPU6050_Init();    // MPU6050 hazirlama
	CALL        _MPU6050_Init+0, 0
;main.c,46 :: 		MPU6050_Read(&accelX, &accelY, &accelZ, &temp, &gyroX, &gyroY, &gyroZ);       // Sensr verilerini oku
	MOVLW       _accelX+0
	MOVWF       FARG_MPU6050_Read_accelX+0 
	MOVLW       hi_addr(_accelX+0)
	MOVWF       FARG_MPU6050_Read_accelX+1 
	MOVLW       _accelY+0
	MOVWF       FARG_MPU6050_Read_accelY+0 
	MOVLW       hi_addr(_accelY+0)
	MOVWF       FARG_MPU6050_Read_accelY+1 
	MOVLW       _accelZ+0
	MOVWF       FARG_MPU6050_Read_accelZ+0 
	MOVLW       hi_addr(_accelZ+0)
	MOVWF       FARG_MPU6050_Read_accelZ+1 
	MOVLW       _temp+0
	MOVWF       FARG_MPU6050_Read_temp+0 
	MOVLW       hi_addr(_temp+0)
	MOVWF       FARG_MPU6050_Read_temp+1 
	MOVLW       _gyroX+0
	MOVWF       FARG_MPU6050_Read_gyroX+0 
	MOVLW       hi_addr(_gyroX+0)
	MOVWF       FARG_MPU6050_Read_gyroX+1 
	MOVLW       _gyroY+0
	MOVWF       FARG_MPU6050_Read_gyroY+0 
	MOVLW       hi_addr(_gyroY+0)
	MOVWF       FARG_MPU6050_Read_gyroY+1 
	MOVLW       _gyroZ+0
	MOVWF       FARG_MPU6050_Read_gyroZ+0 
	MOVLW       hi_addr(_gyroZ+0)
	MOVWF       FARG_MPU6050_Read_gyroZ+1 
	CALL        _MPU6050_Read+0, 0
;main.c,47 :: 		MPU6050_SetOffset(accelX,accelY,accelZ,gyroX,gyroY,gyroZ);                    // Okunan degerleri offset degerleri ile gncelle
	MOVF        _accelX+0, 0 
	MOVWF       FARG_MPU6050_SetOffset_accelX+0 
	MOVF        _accelX+1, 0 
	MOVWF       FARG_MPU6050_SetOffset_accelX+1 
	MOVF        _accelY+0, 0 
	MOVWF       FARG_MPU6050_SetOffset_accelY+0 
	MOVF        _accelY+1, 0 
	MOVWF       FARG_MPU6050_SetOffset_accelY+1 
	MOVF        _accelZ+0, 0 
	MOVWF       FARG_MPU6050_SetOffset_accelZ+0 
	MOVF        _accelZ+1, 0 
	MOVWF       FARG_MPU6050_SetOffset_accelZ+1 
	MOVF        _gyroX+0, 0 
	MOVWF       FARG_MPU6050_SetOffset_gyroX+0 
	MOVF        _gyroX+1, 0 
	MOVWF       FARG_MPU6050_SetOffset_gyroX+1 
	MOVF        _gyroY+0, 0 
	MOVWF       FARG_MPU6050_SetOffset_gyroY+0 
	MOVF        _gyroY+1, 0 
	MOVWF       FARG_MPU6050_SetOffset_gyroY+1 
	MOVF        _gyroZ+0, 0 
	MOVWF       FARG_MPU6050_SetOffset_gyroZ+0 
	MOVF        _gyroZ+1, 0 
	MOVWF       FARG_MPU6050_SetOffset_gyroZ+1 
	CALL        _MPU6050_SetOffset+0, 0
;main.c,50 :: 		while(1){
L_main1:
;main.c,51 :: 		delay_ms(100);                                                              // 100ms bekleme
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
;main.c,53 :: 		MPU6050_Read(&accelX, &accelY, &accelZ, &temp, &gyroX, &gyroY, &gyroZ);     // Sensr verilerini oku
	MOVLW       _accelX+0
	MOVWF       FARG_MPU6050_Read_accelX+0 
	MOVLW       hi_addr(_accelX+0)
	MOVWF       FARG_MPU6050_Read_accelX+1 
	MOVLW       _accelY+0
	MOVWF       FARG_MPU6050_Read_accelY+0 
	MOVLW       hi_addr(_accelY+0)
	MOVWF       FARG_MPU6050_Read_accelY+1 
	MOVLW       _accelZ+0
	MOVWF       FARG_MPU6050_Read_accelZ+0 
	MOVLW       hi_addr(_accelZ+0)
	MOVWF       FARG_MPU6050_Read_accelZ+1 
	MOVLW       _temp+0
	MOVWF       FARG_MPU6050_Read_temp+0 
	MOVLW       hi_addr(_temp+0)
	MOVWF       FARG_MPU6050_Read_temp+1 
	MOVLW       _gyroX+0
	MOVWF       FARG_MPU6050_Read_gyroX+0 
	MOVLW       hi_addr(_gyroX+0)
	MOVWF       FARG_MPU6050_Read_gyroX+1 
	MOVLW       _gyroY+0
	MOVWF       FARG_MPU6050_Read_gyroY+0 
	MOVLW       hi_addr(_gyroY+0)
	MOVWF       FARG_MPU6050_Read_gyroY+1 
	MOVLW       _gyroZ+0
	MOVWF       FARG_MPU6050_Read_gyroZ+0 
	MOVLW       hi_addr(_gyroZ+0)
	MOVWF       FARG_MPU6050_Read_gyroZ+1 
	CALL        _MPU6050_Read+0, 0
;main.c,55 :: 		SendHC06(accelX);                                                           // X ekseni accel verisini gnder
	MOVF        _accelX+0, 0 
	MOVWF       FARG_SendHC06_value+0 
	MOVF        _accelX+1, 0 
	MOVWF       FARG_SendHC06_value+1 
	CALL        _SendHC06+0, 0
;main.c,56 :: 		SendHC06(accelY);                                                           // Y ekseni accel verisini gnder
	MOVF        _accelY+0, 0 
	MOVWF       FARG_SendHC06_value+0 
	MOVF        _accelY+1, 0 
	MOVWF       FARG_SendHC06_value+1 
	CALL        _SendHC06+0, 0
;main.c,57 :: 		SendHC06(temp);                                                             // Sicaklik verisini gnder
	MOVF        _temp+0, 0 
	MOVWF       FARG_SendHC06_value+0 
	MOVF        _temp+1, 0 
	MOVWF       FARG_SendHC06_value+1 
	CALL        _SendHC06+0, 0
;main.c,58 :: 		SendHC06(gyroX);                                                            // X ekseni gyro verisini gnder
	MOVF        _gyroX+0, 0 
	MOVWF       FARG_SendHC06_value+0 
	MOVF        _gyroX+1, 0 
	MOVWF       FARG_SendHC06_value+1 
	CALL        _SendHC06+0, 0
;main.c,59 :: 		SendHC06(gyroY);                                                            // Y ekseni gyro verisini gnder
	MOVF        _gyroY+0, 0 
	MOVWF       FARG_SendHC06_value+0 
	MOVF        _gyroY+1, 0 
	MOVWF       FARG_SendHC06_value+1 
	CALL        _SendHC06+0, 0
;main.c,60 :: 		SendHC06(gyroZ);                                                            // Z ekseni gyro verisini gnder
	MOVF        _gyroZ+0, 0 
	MOVWF       FARG_SendHC06_value+0 
	MOVF        _gyroZ+1, 0 
	MOVWF       FARG_SendHC06_value+1 
	CALL        _SendHC06+0, 0
;main.c,61 :: 		UART_Write_Text("\r\n");                                                    // CRLF karakterlerini gndererek veri gnderimini tamamla
	MOVLW       ?lstr2_main+0
	MOVWF       FARG_UART_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_main+0)
	MOVWF       FARG_UART_Write_Text_uart_text+1 
	CALL        _UART_Write_Text+0, 0
;main.c,63 :: 		LED=!LED;                                                                   // LED durumunu tersle
	BTG         LATA4_bit+0, BitPos(LATA4_bit+0) 
;main.c,64 :: 		}
	GOTO        L_main1
;main.c,65 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
